Gyvar docs

Fetch a customer

Includes `totals`: what they paid you, what you sent them, and what fiat payouts delivered.

GET
/customers/{id}

Authorization

KeyID Timestamp Nonce Signature
X-Gyvar-Key<token>

Your key id, gyv_k_live_... or gyv_k_sandbox_....

In: header

X-Gyvar-Timestamp<token>

Unix seconds. Must be within 5 minutes of our clock.

In: header

X-Gyvar-Nonce<token>

A unique value per request. Replays are rejected.

In: header

X-Gyvar-Signature<token>

Ed25519 signature over the canonical string. See the Signing guide.

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "reference": "string",    "type": "individual",    "first_name": "string",    "last_name": "string",    "email": "string",    "phone": "string",    "country": "string",    "tags": [      "string"    ],    "archived": true,    "created_at": "2019-08-24T14:15:22Z",    "totals": {      "received": [        {          "asset": "string",          "amount_minor": 0,          "count": 0        }      ],      "sent": [        {          "asset": "string",          "amount_minor": 0,          "count": 0        }      ],      "delivered": [        {          "currency": "string",          "amount_minor": 0,          "count": 0        }      ]    }  }}